scala.tools.reflect

# FastTrack

#### class FastTrack[MacrosAndAnalyzer <: Macros with Analyzer] extends AnyRef

Optimizes system macro expansions by hardwiring them directly to their implementations bypassing standard reflective load and invoke to avoid the overhead of Java/Scala reflection.

Source
  FastTrack.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FastTrack
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FastTrack(macros: MacrosAndAnalyzer)

### Type Members

1. #### final class FastTrackEntry extends (MacrosAndAnalyzer.MacroArgs) ⇒ Any

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to any2stringadd[FastTrack[MacrosAndAnalyzer]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FastTrack[MacrosAndAnalyzer], B)

   Implicit information
     This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to ArrowAssoc[FastTrack[MacrosAndAnalyzer]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(symbol: nsc.Global.Symbol): FastTrackEntry

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def contains(symbol: nsc.Global.Symbol): Boolean

10. #### def ensuring(cond: (FastTrack[MacrosAndAnalyzer]) ⇒ Boolean, msg: ⇒ Any): FastTrack[MacrosAndAnalyzer]

    Implicit information
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to Ensuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (FastTrack[MacrosAndAnalyzer]) ⇒ Boolean): FastTrack[MacrosAndAnalyzer]

    Implicit information
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to Ensuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): FastTrack[MacrosAndAnalyzer]

    Implicit information
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to Ensuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): FastTrack[MacrosAndAnalyzer]

    Implicit information
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to Ensuring[FastTrack[MacrosAndAnalyzer]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to StringFormat[FastTrack[MacrosAndAnalyzer]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### def get(symbol: nsc.Global.Symbol): Option[FastTrackEntry]

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### val macros: MacrosAndAnalyzer

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (FastTrack[MacrosAndAnalyzer], B)

    Implicit information
      This member is added by an implicit conversion from FastTrack[MacrosAndAnalyzer] to ArrowAssoc[FastTrack[MacrosAndAnalyzer]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FastTrack[MacrosAndAnalyzer] to any2stringadd[FastTrack[MacrosAndAnalyzer]]

### Inherited by implicit conversion StringFormat from FastTrack[MacrosAndAnalyzer] to StringFormat[FastTrack[MacrosAndAnalyzer]]

### Inherited by implicit conversion Ensuring from FastTrack[MacrosAndAnalyzer] to Ensuring[FastTrack[MacrosAndAnalyzer]]

### Inherited by implicit conversion ArrowAssoc from FastTrack[MacrosAndAnalyzer] to ArrowAssoc[FastTrack[MacrosAndAnalyzer]]

### Ungrouped